@charset "utf-8";
/* ===== ▼全体共通・パーツ===== */
html {
  scroll-behavior: smooth;
}
body {
  color: #333;
  font-weight: 400;
  background-color: #F5F7F9;
  font-family: "Noto Sans JP", sans-serif;
}
img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
}
a {
  display: block;
  text-decoration: none;
}
li {
  list-style: none;
}
p, ul, li {
  margin: 0;
  padding: 0;
}
.common_wrapper {
  width: 85%;
  margin: 0 auto;
}
.content_margin {
  margin: 120px auto 50px;
}
/* ==== ▼ボタン ==== */
/* === ▼ページトップボタン === */
#page_top {
  width: 50px;
  height: 50px;
  position: fixed;
  right: 2%;
  bottom: 2%;
  z-index: 10000;
}
#page_top a {
  position: relative;
  width: 100%;
  height: 100%;
  background-color: #003E7F;
  ;
  border-radius: 50%;
  border: 2px solid #003E7F;
  transition: 0.3s;
}
#page_top a::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 20px;
  width: 16px;
  height: 16px;
  border: 2px #fff solid;
  border-left: 0;
  border-bottom: 0;
  transform: translateX(-50%) rotate(-45deg);
  transition: 0.3s;
}
#page_top a:hover {
  background-color: #fff;
}
#page_top a:hover::before {
  border-color: #003E7F;
}
/* === ▲ページトップボタン === */
/* === ▼メイン　見積・問合せボタン === */
.kj_btn {
  width: 90%;
  padding: 16px;
  font-weight: 600;
  border-radius: 999px;
  position: relative;
  transition: all 0.3s;
  max-width: 400px;
  margin: 0 auto;
  color: #fff;
  background-image: linear-gradient(110deg, oklch(37.07% 0.124 255.38), oklch(65.02% 0.179 14.61));
  text-align: center;
  padding-right: 45px;
}
.kj_btn_arrow {
  position: absolute;
  content: "";
  top: 50%;
  right: 12px;
  width: 42px;
  height: 42px;
  border: 1px solid #fff;
  border-radius: 50%;
  transform: translateY(-50%);
  transition: all 0.3s;
  z-index: 1;
}
.kj_btn::before, .kj_btn::after {
  position: absolute;
  content: "";
  border-top: 1px solid #fff;
  top: 50%;
  right: 26px;
  transition: all 0.3s;
  z-index: 2;
}
.kj_btn::before {
  width: 12px;
  height: 12px;
  border-right: 1px solid #fff;
  transform: translateY(-50%);
}
.kj_btn::after {
  width: 13px;
  transform: translateY(-50%) rotate(-45deg);
}
.kj_btn:hover .kj_btn_arrow {
  background-color: #fff
}
.kj_btn:hover::before {
  transform: translateY(-50%) rotate(-315deg);
  border-top: 1px solid #E7566C;
  border-right: 1px solid #E7566C;
}
.kj_btn:hover::after {
  transform: translateY(-50%) rotate(-360deg);
  border-top: 1px solid #E7566C;
}
.single_btn {
  margin-top: 60px;
  margin-bottom: 60px;
}
/* === ▲メイン　見積・問合せボタン === */
/* === ▼サイト内リンクボタン === */
.kj_btn2 {
  background-image: inherit;
  border: 1px solid #003E7F;
  color: #003E7F;
}
.kj_btn2::before {
  border-right: 1px solid #003E7F;
}
.kj_btn2::before, .kj_btn2::after {
  border-top: 1px solid #003E7F;
}
.kj_btn2_arrow {
  border: 1px solid #003E7F;
}
.kj_btn2:hover {
  background-color: #003E7F;
  color: #fff;
}
.kj_btn2:hover::before {
  border-right: 1px solid #003E7F;
}
.kj_btn2:hover.kj_btn2::before, .kj_btn2:hover.kj_btn2::after {
  border-top: 1px solid #003E7F;
}
/* === ▲サイト内リンクボタン === */
/* === ▼フッターのリンクボタン === */
.kj_btn3 {
  background-image: inherit;
  border: 1px solid #fff;
  color: #fff;
  width: 100%;
}
.kj_btn3::before {
  border-right: 1px solid #fff;
}
.kj_btn3::before, .kj_btn3::after {
  border-top: 1px solid #fff;
}
.kj_btn3_arrow {
  border: 1px solid #fff;
}
.kj_btn3:hover {
  background-color: #fff;
  color: #003E7F;
}
.kj_btn3:hover::before {
  border-right: 1px solid #fff;
}
.kj_btn3:hover.kj_btn3::before, .kj_btn3:hover.kj_btn3::after {
  border-top: 1px solid #fff;
}
.kj_btn3:hover .kj_btn3_arrow {
  background-color: #003E7F;
}
/* === ▲フッターのリンクボタン === */
/* === ▼メニュー内ボタン === */
.nav_li2 {
  width: clamp(240px, 45%, 320px);
  margin-bottom: 15px;
}
.nav_li2_a {
  border-radius: 999px;
  height: 35px;
  border: 1px solid #003E7F;
  color: #003E7F;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
}
.nav_li2_a:hover {
  border: 1px solid #003E7F;
  color: #fff;
  background-color: #003E7F;
}
/* === ▲メニュー内ボタン === */
/* === ▼もっと見るボタン === */
.news_more_area {
  margin: 0 auto;
  width: 90%;
  max-width: 400px;
}
.news_more_btn {
  width: 100%;
  background-color: #F5F7F9;
  color: #003E7F;
  border: 1px solid #003E7F;
  padding: 16px;
  font-weight: 600;
  border-radius: 999px;
  font-size: 1rem;
  transition: all 0.3s;
}
.news_more_btn:hover {
  background-color: #003E7F;
  color: #fff;
}
/* === ▲もっと見るボタン === */
/* ==== ▲ボタン ==== */
/* ==== ▼セクションタイトルなど ==== */
.section_title {
  color: #003E7F;
  margin: 80px auto;
  display: flex;
  flex-direction: column;
}
.section_title_ja {
  font-size: 0.875rem;
  text-align: center;
}
.section_title_en {
  font-size: 1.75rem;
  text-align: center;
}
.regular_title {
  margin: 100px auto 60px;
  width: 90%;
  max-width: 1000px;
  font-size: 1.375rem;
  text-align: center;
  padding-bottom: 5px;
  border-bottom: 1px solid #003E7F;
  color: #003E7F;
}
/* ==== ▲セクションタイトルなど ==== */
/* ===== ▲全体共通・パーツ ===== */
/* ===== ▼ヘッダー ===== */
#header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  background-color: #fff;
  border-bottom: 1px solid #00000;
}
.header_container_sp {
  width: 100%;
  background-color: #FFFFFF;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 54px;
  padding: 0 4%;
}
h1.kjmag_logo {
  width: 70%;
  max-width: 240px;
  margin: 0;
}
h1.kjmag_logo a {
  line-height: 0;
}
/* ==== ▼ハンバーガー ==== */
.hamburger {
  width: 48px;
  height: 48px;
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  gap: 8px;
  cursor: pointer;
  background: transparent;
  border: 0;
  /* iOSのデフォルト見た目を消す */
  -webkit-appearance: none;
  appearance: none;
}
.menu_p {
  color: #003E7F;
  font-size: 0.6875rem;
}
/* 線 */
.hamburger span {
  display: block;
  width: 100%;
  height: 1px;
  background: #003E7F;
  transition: transform 0.25s ease, opacity 0.25s ease;
}
/* 開いたとき「×」にする */
#js_hamburger.active span:nth-child(1) {
  transform: translateY(5px) rotate(20deg);
}
#js_hamburger.active span:nth-child(2) {
  transform: translateY(-5px) rotate(-20deg);
}
/* ==== ▲ハンバーガー ==== */
/* ==== ▼メニュー ==== */
#global_nav {
  position: fixed;
  top: 54px; /* ← ヘッダー高さ分（header_container_sp の height） */
  left: 0;
  width: 100%;
  max-height: calc(100vh - 54px); /* ← 画面からヘッダー分を引く */
  overflow-y: auto;
  padding-bottom: 40px;
  background-color: #fff;
  z-index: 900;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
}
#global_nav.active {
  opacity: 1;
  visibility: visible;
}
.global_nav_container {
  width: 90%;
  margin: 0 auto;
  max-width: 1200px;
}
.nav_wrapper-left {
  margin: 40px auto;
}
/*=== ▼検索フォーム ===*/
.search-wrap {
  margin: 6px auto;
}
.search-wrap #searchform {
  position: relative;
}
.search-wrap input {
  outline: none;
  cursor: pointer;
  color: #666;
}
.search-wrap input[type="text"] {
  width: 100%;
  border: none;
  border: 1px solid #003E7F;
  border-radius: 6px;
  transition: all 0.3s;
  letter-spacing: 0.05em;
  height: 46px;
  padding: 10px;
}
.search-wrap input[type="text"]:focus {
  background: #eee;
}
.search-wrap input[type="submit"] {
  position: absolute;
  right: 20px;
  top: 8px;
  background: url("../img/search-icon.svg") no-repeat right;
  /*虫眼鏡アイコンを背景に表示*/
  width: 30px;
  height: 30px;
  border: none;
}
/*=== ▲検索フォーム ===*/
.gnav_sp_container {
  margin: 30px auto;
}
.gnav_sp {
  margin-top: 30px;
}
.gnav_sp a {
  color: #003E7F;
  height: 30px;
  width: 80%;
  transition: all 0.3s;
}
.gnav_sp a:hover {
  opacity: 0.6;
}
.gnav_sp_container > li {
  padding: 16px 10px;
  border-bottom: #003E7F solid 1px;
  font-size: 1.0625rem;
  font-weight: 600;
}
.gnav_sp .menu-item-has-children {
  position: relative;
}
.gnav_sp .menu-item-has-children::before, .gnav_sp .menu-item-has-children::after {
  position: absolute;
  content: '';
  width: 15px;
  height: 2px;
  top: 29px;
  background-color: #003E7F;
  right: 20px;
}
.gnav_sp .menu-item-has-children::before {
  transform: rotate(0deg);
}
.gnav_sp .menu-item-has-children::after {
  transform: rotate(90deg);
}
.gnav_sp .sub-menu {
  display: none;
  font-size: 1rem;
  padding-left: 10px;
  font-weight: 500;
}
.gnav_sp .sub-menu li {
  height: 25px;
  margin: 14px 0;
}
.gnav_sp .sub-menu a {
  color: #494949
}
/*　▼closeというクラスがついたら形状変化　*/
.gnav_sp .menu-item-has-children.close::before {
  transform: rotate(45deg);
}
.gnav_sp .menu-item-has-children.close::after {
  transform: rotate(-45deg);
}
.gnav_sp .sub-menu.close {
  display: block;
}
/*　▲closeというクラスがついたら形状変化　*/
/* === ▼タグから記事を探す === */
.tag_wrapper {
  max-height: 120px;
  overflow-y: auto;
  overflow-x: hidden;
}
.taglist_ul {
  margin: 40px auto;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.taglist_a {
  font-size: 0.875rem;
  padding: 5px 30px;
  border: 1px solid #003E7F;
  border-radius: 999px;
  color: #003E7F;
  white-space: nowrap;
  transition: 0.2s all;
}
.taglist_a:hover {
  background-color: #003E7F;
  color: #fff;
}
/* ==== ▲タグから記事を探す ==== */
.nav_wrapper-right {
  width: 90%;
  margin: 40px auto;
}
.banner {
  width: 90%;
  margin: 30px auto;
  transition: all 0.3s;
  max-width: 360px;
}
.banner:hover {
  opacity: 0.7;
}
.nav_ul2 {
  width: 90%;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
/* ==== ▲メニュー ==== */
.header_margin {
  content: "";
  height: 54px;
}
/* ===== ▲ヘッダー ===== */
/* ===== ▼パンくずリスト ===== */
.breadcrumb {
  background-color: #E3F1FF;
  color: #003E7F;
  font-weight: 500;
  font-size: 0.875rem;
}
.breadcrumb_list {
  padding: 8px 20px;
  margin: 0;
}
.breadcrumb_item {
  display: inline-block;
}
.breadcrumb_item + .breadcrumb_item::before {
  content: "＞";
  color: #003E7F;
  margin: 0 6px;
  font-size: 0.9em;
}
.breadcrumb_link {
  display: inline-block;
  color: #003E7F;
  transition: 0.2s all;
}
.breadcrumb_link:hover {
  opacity: 0.7;
}
/* ===== ▲パンくずリスト ===== */
/* ===== ▼記事一覧 ===== */
.news_list {
  width: 85%;
  max-width: 1000px;
  margin: 50px auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 310px));
  justify-content: center;
  gap: 36px 3%;
}
.news_item {
  max-width: 420px;
}
.news_img_outer {
  width: 100%;
  border-radius: 8px;
  overflow: hidden;
}
.news_img {
  aspect-ratio: 5/3;
  object-fit: cover;
  transition: all 0.3s;
}
.news_link:hover .news_img {
  transform: scale(1.2);
}
.news_meta {
  padding: 16px 5px;
  height: auto;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: space-between;
}
/* ==== ▼カテゴリカラー ==== */
.cat-uncategorized::before {
  background-color: #494949;
}
.cat-staff-blog::before {
  background-color: #85AEE4;
}
.cat-kjnews::before {
  background-color: #AEE9A2;
}
.cat-fashion::before {
  background-color: #BEA4F2;
}
.cat-hobby::before {
  background-color: #E8AC77;
}
.cat-accessories::before {
  background-color: #E7566C;
}
.cat-home-goods::before {
  background-color: #EBE172;
}
/* ==== ▲カテゴリカラー ==== */
.news_cat {
  font-size: 0.875rem;
  font-weight: 500;
  color: #141414;
  position: relative;
  margin-left: 16px;
}
.news_cat::before {
  content: "";
  position: absolute;
  width: 12px;
  height: 12px;
  border-radius: 999px;
  top: 5px;
  left: -16px;
}
.news_cat_child {
  font-size: 0.75rem;
  color: #777777;
  margin-left: 5px;
}
.news_title {
  font-size: 1rem;
  color: #494949;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
.news_tags {
  color: #141414;
  font-size: 0.875rem;
}
.news_tag {
  margin-right: 5px;
}
.news_time {
  color: #494949;
  font-size: 0.75rem;
  margin-top: 10px;
}
/* ==== ▼スライダー ==== */
.swiper {
  overflow: visible !important;
  max-width: 1000px;
}
.ranking_slide_wrapper {
  padding-bottom: 40px;
  overflow: hidden;
}
.swiper-pagination .swiper-pagination-bullet-active {
  background-color: #E25761;
}
.swiper-navigation-icon {
  display: none;
}
.swiper-nav-bottom {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 24px;
  position: absolute;
  bottom: -50px !important;
  left: 50%;
  transform: translateX(-50%);
  z-index: 20;
  width: auto;
  pointer-events: none; /* ← 親はクリック不可にして… */
}
.swiper-nav-bottom .swiper-button-prev, .swiper-nav-bottom .swiper-button-next {
  position: static !important; /* Swiperのデフォルト位置指定を解除 */
  margin: 0;
  pointer-events: auto; /* ← ボタン自体はクリック可 */
  border-radius: 50%;
  border: 2px solid #003E7F;
  width: 40px;
  height: 40px;
  background-color: #003E7F;
}
.swiper-button-prev::before, .swiper-button-next::before {
  position: absolute;
  top: 14px;
  content: '';
  display: block;
  width: 12px;
  height: 12px;
  border: #fff 2px solid;
  transform: rotate(45deg);
  transition: 0.2s;
}
.swiper-button-prev::before {
  border-top: none;
  border-right: none;
  left: 16px;
}
.swiper-button-next::before {
  border-bottom: none;
  border-left: none;
  right: 16px;
}
.swiper-button-prev:hover, .swiper-button-next:hover {
  background-color: #fff;
}
.swiper-button-prev:hover::before {
  border: #003E7F 2px solid;
  border-top: none;
  border-right: none;
}
.swiper-button-next:hover::before {
  border: #003E7F 2px solid;
  border-bottom: none;
  border-left: none;
}
.swiper-pagination {
  bottom: -90px !important;
}
.swiper-pagination-bullet {
  width: 20px;
  height: 3px;
  border-radius: inherit;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active {
  background-color: #003E7F;
}
/* ==== ▲スライダー ==== */
/* ==== ▼ランキング記事一覧 ==== */
#kjm_ranking {
  padding-top: 1px;
  padding-bottom: 100px;
  background-image: url("../img/bg-suisai2.webp");
  background-size: cover;
  background-position: center
}
.news_list_ranking {
  display: flex;
  justify-content: inherit;
  width: inherit;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: inherit;
}
.news_item_ranking::before {
  content: "";
  width: 34px;
  height: 34px;
  border-radius: 5px;
  transform: rotate(45deg);
  background-color: #003E7F;
  position: absolute;
  top: -17px;
  left: -17px;
  z-index: 10;
}
.news_item_ranking::after {
  font-size: 1.125rem;
  font-weight: 500;
  color: #fff;
  position: absolute;
  top: -15px;
  left: -5px;
  z-index: 10;
}
.news_item_ranking:nth-of-type(1)::after {
  content: "1";
}
.news_item_ranking:nth-of-type(2)::after {
  content: "2";
}
.news_item_ranking:nth-of-type(3)::after {
  content: "3";
}
.news_item_ranking:nth-of-type(4)::after {
  content: "4";
}
.news_item_ranking:nth-of-type(5)::after {
  content: "5";
}
.news_item_ranking:nth-of-type(6)::after {
  content: "6";
}
.news_item_ranking:nth-of-type(7)::after {
  content: "7";
}
.news_item_ranking:nth-of-type(8)::after {
  content: "8";
}
.news_item_ranking:nth-of-type(9)::after {
  content: "9";
}
.news_item_ranking:nth-of-type(10)::after {
  content: "10";
  left: -10px;
}
.Gradation_1 {
  display: flex;
  width: 100%;
  height: 100vh;
  background: linear-gradient(270deg, #0cb1c1, #3948b9);
  background-size: 200% 200%;
  animation: Grad 5s ease infinite;
  align-items: center;
  justify-content: center;
}
.Gradation_1_text {
  font-size: 30px;
  font-family: Arial;
  font-weight: 600;
  color: #fff;
}
@keyframes Grad {
  0% {
    background-position: 0% 50%
  }
  50% {
    background-position: 100% 50%
  }
  100% {
    background-position: 0% 50%
  }
}
/* ==== ▲ランキング記事一覧 ==== */
/* ===== ▲記事一覧 ===== */
/* ===== ▼注目の資材バナー ===== */
.banner_ul {
  display: grid;
  width: 90%;
  max-width: 950px;
  margin: 0 auto;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 30px;
  justify-items: center;
}
.banner_li {
  transition: 0.2s all;
  width: 100%;
  max-width: 420px;
}
.banner_li:hover {
  opacity: 0.7;
}
.banner_link {
  display: block;
}
/* ===== ▲注目の資材バナー ===== */
/* ===== ▼私たちについてへのリンクセクション ===== */
.about_link_parts {
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  padding-top: 100px;
  padding-bottom: 100px;
  margin-bottom: 0;
  text-align: center;
  background-image: url("../img/about-link-bg.webp");
  background-size: cover;
  background-position: center;
}
.section_title_about {
  background-color: #003E7F;
  margin: 0 auto;
  color: #fff;
  width: 80%;
  max-width: 420px;
  font-size: 1.25rem;
  padding: 4px;
  border-radius: 5px;
  font-weight: 600;
}
.about_desc {
  margin: 60px auto;
  width: 80%;
  max-width: 570px;
  font-weight: 600;
  color: #003E7F;
  font-size: 0.875rem;
  line-height: 36px;
}
#about_link_parts .kj_btn2:hover {
  background-image: none;
  background-color: #003E7F;
}
/* ===== ▲私たちについてへのリンクセクション ===== */
/* ===== ▼検索結果ページ ===== */
.search_main {
  margin-bottom: 120px;
}
.search_title {
  width: 90%;
  margin: 80px auto 40px;
  text-align: center;
  color: #003E7F;
}
.post_else {
  margin: 100px auto 160px;
  text-align: center;
}
/* ===== ▲検索結果ページ ===== */
/* ===== ▼404エラーページ ===== */
.error_main {
  height: 100vh;
  width: 100%;
  padding-top: 80px;
  position: relative;
}
.error_contents {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -60%);
  width: 90%;
  color: #003E7F;
}
.error_404 {
  font-size: min(20vw, 160px);
  font-weight: 500;
}
.error_text {
  font-size: 1.25rem;
  margin-bottom: 30px;
}
/* ===== ▲404エラーページ ===== */
/* ===== ▼プライバシーポリシー・利用規約 ===== */
.policy_container {
  width: 90%;
  max-width: 1000px;
  margin: 40px auto 120px;
}
.policy_desc {
  margin: 30px auto;
}
.policy_h2 {
  font-size: 1.25rem;
  margin-top: 60px;
  color: #003E7F;
}
.policy_h3 {
  font-size: 1rem;
  margin-top: 50px;
  color: #003E7F;
}
.policy_item {
  list-style: circle;
  margin-left: 30px;
}
/* ===== ▲プライバシーポリシー・利用規約 ===== */
/* ===== ▼フッター ===== */
.footer {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding-top: 80px;
  background-color: #003E7F;
}
.footer_wrapper {
  width: 90%;
  max-width: 1000px;
  margin: 0 auto;
}
.footer_container {
  width: 100%;
  max-width: 400px;
  margin: 0 auto 20px;
}
.kjmag_logo {
  width: 90%;
  max-width: 360px;
  margin: 0 auto 30px;
}
.footer_container2 .gnav_sp a {
  color: #fff;
}
.footer_container2 .gnav_sp_container {
  width: 100%;
  margin: 30px auto;
}
.footer_container2 .gnav_sp_container > li {
  border-bottom: #fff solid 1px;
}
.footer_container2 .gnav_sp .menu-item-has-children::before, .footer_container2 .gnav_sp .menu-item-has-children::after {
  background-color: #fff;
}
.other_link {
  padding-left: 10px;
}
.other_link_li {
  margin: 0 auto 10px;
}
.other_link_a {
  color: #fff;
}
.copyright {
  width: 100%;
  text-align: center;
  color: #fff;
  margin: 40px auto 10px;
}
/* ===== ▲フッター ===== */
/* ===== ▼▼▼▼　768px以上　▼▼▼▼ ===== */
@media screen and (min-width: 768px) {
  h1.kjmag_logo {
    max-width: 280px;
  }
  .header_container_sp {
    height: 80px;
    padding: 0 40px;
  }
  .hamburger {
    width: 70px;
  }
  #global_nav {
    padding-top: 100px;
  }
  .header_margin {
    height: 80px;
  }
  .global_nav_container {
    display: flex;
    justify-content: space-around;
    max-width: 1200px;
  }
  .nav_wrapper-left {
    width: 54%;
  }
  .nav_wrapper-right {
    width: 40%;
  }
  .breadcrumb_list {
    padding: 10px 40px;
  }
	
	.footer_wrapper {
		display: flex;
		justify-content: center;
		max-width: 1000px;
	}
	
	.footer_container {
		width: 38%;
		margin-right: 4%;
		margin-top: 40px;
	}
	
	.footer_container2 {
		width: 58%;
		margin-left: 4%;
	}
}